﻿using System;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Chess.Test
{
    [TestClass]
    public class RookTest
    {
        [TestClass]
        public class GetMovesFrom
        {
            [TestMethod]
            public void Returns7VerticalMovesFrom1_1WithBoardSize8()
            {
                var rook = new Rook();
                var moves = rook.GetMovesFrom(new BoardCoordinate(1, 1), 8);

                Assert.AreEqual<int>(7, moves.Count(c => c.X == 1));
            }

            [TestMethod]
            public void Returns7HorizontalMovesFrom1_1WithBoardSize8()
            {
                var rook = new Rook();
                var moves = rook.GetMovesFrom(new BoardCoordinate(1, 1), 8);

                Assert.AreEqual<int>(7, moves.Count(c => c.Y == 1));
            }
        }
        
    }
}
