﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Chess
{
    public class Board
    {
        private const int BoardSize = 8;
        private readonly Piece[,] _pieces = new Piece[BoardSize, BoardSize];

        public void AddPiece(Piece piece, BoardCoordinate coordinate)
        {
            if (!coordinate.IsValidCoordinateForBoardSize(BoardSize))
                throw new ArgumentOutOfRangeException("BoardCoordinate");

            _pieces[coordinate.X, coordinate.Y] = piece;    
        }

        public Piece GetPiece(BoardCoordinate coordinate)
        {
            return _pieces[coordinate.X, coordinate.Y];
        }
    }
}
