﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Chess
{
    public struct BoardCoordinate
    {
        public readonly int X;
        public readonly int Y;

        public BoardCoordinate(int x, int y)
        {
            X = x;
            Y = y;
        }

        public bool IsValidCoordinateForBoardSize(int boardSize)
        {
            return IsDimensionValidForBoardSize(X, boardSize) && 
                IsDimensionValidForBoardSize(Y, boardSize);
        }

        private bool IsDimensionValidForBoardSize(int dimension, int boardSize)
        {
            return dimension <= boardSize && dimension > 0;
        }
    }
}
